Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.server.api.rmi.admin.cfg
Interface RemoteConfigurationPrecisionMapping

All Superinterfaces:
  java.rmi.Remote

    public interface RemoteConfigurationPrecisionMapping

extends java.rmi.Remote

The result format and precision mapping settings, for the FR220 feature (font precision).
Each result format has a precision value. Client can get/set precision through this interface.
For any format, there is always a default precision.
The valid precision is:
``APIConst.PRECISION_HIGH``: the High precision is required for the result format.
``APIConst.PRECISION_LOW``: the Low precision is required for the result format.
``APIConst.PRECISION_ANY``: the context precision can be Any(High or Low), which means not to care the precision issue for the result format.
the valid formats is:
`APIConst.RST`, `APIConst.HTML`, `APIConst.PDF`, `APIConst.TEXT`, `APIConst.EXCEL`, `APIConst.PS`, `APIConst.RTF`, `APIConst.XML`, `APIConst.DHTML`, `APIConst.PRINTER`, `APIConst.FAX`
Notes: Applet is RST(RST)

Since:
  8.1

Method Summary
`void` | `enableCustomizedPrecision(boolean isCustomized)` Enables or disables customized precision.
`void` | `enableFormatCustomizedPrecision(int format, boolean isCustomized)` Enables or disables customized precision for the format.
`int` | `getCustomizedPrecision(int format)` Gets the customized precision.
`int` | `getPrecision(int format)` Gets the precision.
`boolean` | `isFormatPrecisionCustomized(int format)` Whether to enable customized precision for the format.
`boolean` | `isPrecisionCustomized()` Whether customized precision is enabled.
`void` | `setPrecision(int format, int precision)` Sets the precision.

Method Detail

### getPrecision

    int getPrecision(int format)
                     throws java.rmi.RemoteException

  Gets the precision.
  If the format is invalid the `APIConst.PRECISION_ANY` will be returned.
  Notes: if ``isPrecisionCustomized()`` is true and ``isFormatPrecisionCustomized(int)``is true, return the customized precision, otherwise return the default system precision.

  ``
  Parameters:
    `format` - the format, one of the below:
    `APIConst.RST`, `APIConst.HTML`, `APIConst.PDF`, `APIConst.TEXT`, `APIConst.EXCEL`, `APIConst.PS`, `APIConst.RTF`, `APIConst.XML`, `APIConst.DHTML`, `APIConst.PRINTER`, `APIConst.FAX`
  Returns:
    the precision, one of the below:
    `APIConst.PRECISION_LOW`, `APIConst.PRECISION_HIGH`, `APIConst.PRECISION_ANY`
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.

### setPrecision

    void setPrecision(int format,
                      int precision)
                      throws java.rmi.RemoteException

  Sets the precision.
  If the format (or precision) is invalid, no information will be thrown, just no effect.

  Parameters:
    `format` - the format, one of the below:
    `APIConst.RST`, `APIConst.HTML`, `APIConst.PDF`, `APIConst.TEXT`, `APIConst.EXCEL`, `APIConst.PS`, `APIConst.RTF`, `APIConst.XML`, `APIConst.DHTML`, `APIConst.PRINTER`, `APIConst.FAX`
    `precision` - the precision, one of the below:
    `APIConst.PRECISION_LOW`, `APIConst.PRECISION_HIGH`
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.

### enableCustomizedPrecision

    void enableCustomizedPrecision(boolean isCustomized)
                                   throws java.rmi.RemoteException

  Enables or disables customized precision.

  Parameters:
    `isCustomized` -
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.

### isPrecisionCustomized

    boolean isPrecisionCustomized()
                                  throws java.rmi.RemoteException

  Whether customized precision is enabled.

  Returns:
    whether to allow customize precision.
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.

### enableFormatCustomizedPrecision

    void enableFormatCustomizedPrecision(int format,
                                         boolean isCustomized)
                                         throws java.rmi.RemoteException

  Enables or disables customized precision for the format.

  Parameters:
    `format` - `APIConst.HTML` etc.
    `isCustomized` -
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.

### isFormatPrecisionCustomized

    boolean isFormatPrecisionCustomized(int format)
                                        throws java.rmi.RemoteException

  Whether to enable customized precision for the format.

  Parameters:
    `format` - `APIConst.HTML` etc.
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.

### getCustomizedPrecision

    int getCustomizedPrecision(int format)
                               throws java.rmi.RemoteException

  Gets the customized precision.

  Parameters:
    `format` - the format.
  Returns:
    the customized precision.
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD